% April 10 Taeg Sang Cho
function nodes = computeMsgToFactor(nodes)
% Go through every link, and transmit messages near to far
for nearIdx = 1:length(nodes);     
    near = nodes{nearIdx};
    belief = (near.localEvidence);
    for linkIdx = 1:near.nLinks
        link   = near.links{linkIdx};      
        if ~isempty(link.farsMessageToMe)
            belief = multMessages(belief, link.farsMessageToMe);
        end
    end;
    nodes{nearIdx}.msgToFactor = belief/sum(belief(:));
end;



